import json
import requests

from configparser import ConfigParser


class GarageListener:
    def __init__(self, configFile):
        config = ConfigParser()
        config.read(configFile)

        ntfy = config['garage'].get('ntfy')
        topic = config['garage'].get('topic')
        auth = config['garage'].get('auth')

        self.ntfyUri = f'https://{ntfy}/{topic}/json?auth={auth}'

    def listenForNotifications(self, queue):
        with requests.get(self.ntfyUri, stream=True, timeout=60) as response:
            for line in response.iter_lines():
                if line:
                    data = json.loads(line.decode('utf-8'))

                    if (data['event'] == 'message'):
                        queue.put('update')
